Bug 73597 - nautilus won't eject cdroms if you have more than one
Summary: nautilus won't eject cdroms if you have more than one
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-06 15:20 UTC by Dams
Modified: 2015-01-08 00:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 16:16:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dams 2002-09-06 15:20:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. insert a cdrom
2. wait for the cdrom nautilus/desktop icon to appears
3. right click on it
4. choose eject...
	

Actual Results:  *nothing*

Expected Results:  should umount the device and eject the drive.

Additional info:

Comment 1 Havoc Pennington 2002-10-01 18:14:06 UTC
I believe this may have been fixed in final release.

Comment 2 Dams 2002-10-01 18:18:44 UTC
Dont. This aint fixed in the final release.

Comment 3 Alexander Larsson 2002-10-02 08:00:48 UTC
dnade: Do you have several cdroms? In particular, when the icon appears on the
desktop, does it have a '#' in the name? There was a bug with that which made it
fail to eject the cd I think.


Comment 4 Dams 2002-10-02 08:09:43 UTC
Yes I have. I got a classical IDE Dvd-rom drive and an scsi-emulated firewire
dvd+rw burner. Yes again, the '(#)' icon appears in some case but sometimes the
name of the icon is not a '(#)' but something like "Red Hat Linux i386 ..." when
i insert the psyche cdrom for example and then it doesn't work either.
I will try to reproduce the bug with a one-cdrom-deviced psyche box, i keep you
informed.

Comment 5 Alexander Larsson 2002-10-02 08:20:30 UTC
Any character in the name that would need to be escaped in a URI would confuse
it. I guess this includes spaces...


Comment 6 Dams 2002-10-03 07:55:19 UTC
Just for information, ejecting a cd with nautilus on a box with only one cdrom
device work.

Comment 7 Alexander Larsson 2002-10-08 13:01:24 UTC
Note: This is fixed in upstream CVS.

Comment 8 Dams 2002-10-08 13:04:22 UTC
Do you think there will be an official erratum for nautilus including this ?

Comment 9 Eric Bourque 2002-11-25 21:14:55 UTC
I'm experiencing the same problem, and also have two cd-rom drives: one external
scsi, and one internal. I've found that choosing eject doesn't work for any
cdroms, regardless of the volume name. I've also never seen the hash marks
referred to above. Unmounting manually always works.

Comment 10 Alexander Larsson 2003-01-16 16:16:30 UTC
This has been fixed in 2.1.x (in rawhide now). Note that this is specifically
the '#' in the volume name bug. There are other bugs in bugzilla about problems
unmounting cds.



Note You need to log in before you can comment on or make changes to this bug.